Bug 977249 - htmlcleaner-2.23 is available
Summary: htmlcleaner-2.23 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: htmlcleaner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 977773 jdom2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-24 07:17 UTC by Upstream Release Monitoring
Modified: 2019-09-06 14:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
[patch] Update to 2.11 (#977249) (1.03 KB, text/x-diff)
2015-05-14 00:44 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.12 (#977249) (1.03 KB, text/x-diff)
2015-05-15 12:43 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.13 (#977249) (1.03 KB, text/x-diff)
2015-07-02 00:46 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 2.15 (#977249) (1.03 KB, patch)
2015-10-01 12:13 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.16 (#977249) (1.03 KB, patch)
2015-12-03 00:14 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (16.63 KB, patch)
2016-10-19 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.48 KB, patch)
2016-11-02 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (15.45 KB, patch)
2017-02-07 12:15 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.21 (#977249) (1.03 KB, patch)
2017-05-12 00:15 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2013-06-24 07:17:56 UTC
Latest upstream release: 2.5
Current version/release in Fedora Rawhide: 2.2.1-2.fc20
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 marcindulak 2013-06-25 09:01:53 UTC
I got version 2.5 built with the following patch:
wget http://marcindulak.fedorapeople.org/packages/htmlcleaner/2.5/v02/htmlcleaner-2.2.1to2.5.patch
wget http://marcindulak.fedorapeople.org/packages/htmlcleaner/v02/htmlcleaner.spec
patch htmlcleaner.spec < htmlcleaner-2.2.1to2.5.patch

I'm not sure this is enough for a correct package,
and htmlcleaner is needed for bug #894413, so won't update 2.2.1->2.5 now.

Comment 2 Upstream Release Monitoring 2013-08-09 08:55:19 UTC
Latest upstream release: 2.6
Current version/release in Fedora Rawhide: 2.2.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2013-09-09 18:25:21 UTC
Latest upstream release: 2.6.1
Current version/release in Fedora Rawhide: 2.2.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 4 Upstream Release Monitoring 2013-12-10 20:57:21 UTC
Latest upstream release: 2.7
Current version/release in Fedora Rawhide: 2.2.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/100/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 5 Upstream Release Monitoring 2014-03-20 08:47:13 UTC
Latest upstream release: 2.8
Current version/release in Fedora Rawhide: 2.2.1-3.fc20
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Upstream Release Monitoring 2014-08-26 14:43:01 UTC
Latest upstream release: 2.9
Current version/release in Fedora Rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 7 Upstream Release Monitoring 2014-11-01 08:54:32 UTC
Latest upstream release: 2.10
Current version/release in Fedora Rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/api/file/index/project-name/htmlcleaner/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 8 Upstream Release Monitoring 2015-05-14 00:44:48 UTC
Latest upstream release: 2.11
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 9 Upstream Release Monitoring 2015-05-14 00:44:57 UTC
Created attachment 1025225 [details]
[patch] Update to 2.11 (#977249)

Comment 10 Upstream Release Monitoring 2015-05-14 00:48:44 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9729884

Comment 11 Upstream Release Monitoring 2015-05-15 12:43:12 UTC
Latest upstream release: 2.12
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-05-15 12:43:21 UTC
Created attachment 1025831 [details]
[patch] Update to 2.12 (#977249)

Comment 13 Upstream Release Monitoring 2015-05-15 12:52:03 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9752344

Comment 14 Upstream Release Monitoring 2015-07-02 00:46:27 UTC
Latest upstream release: 2.13
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 15 Upstream Release Monitoring 2015-07-02 00:46:35 UTC
Created attachment 1045290 [details]
[patch] Update to 2.13 (#977249)

Comment 16 Upstream Release Monitoring 2015-07-02 00:50:22 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=10267019

Comment 17 Upstream Release Monitoring 2015-08-25 12:19:58 UTC
Latest upstream release: 2.14
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 18 Upstream Release Monitoring 2015-08-25 12:20:05 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-KsKRMO/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-KsKRMO/100.0%: No such file or directory

Comment 19 Upstream Release Monitoring 2015-10-01 12:13:38 UTC
Latest upstream release: 2.15
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2015-10-01 12:13:46 UTC
Created attachment 1079074 [details]
[patch] Update to 2.15 (#977249)

Comment 21 Upstream Release Monitoring 2015-10-01 12:16:26 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11293731

Comment 22 Upstream Release Monitoring 2015-12-03 00:14:05 UTC
Latest upstream release: 2.16
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 23 Upstream Release Monitoring 2015-12-03 00:14:17 UTC
Created attachment 1101645 [details]
[patch] Update to 2.16 (#977249)

Comment 24 Upstream Release Monitoring 2015-12-03 00:25:51 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12033356

Comment 25 Upstream Release Monitoring 2016-10-19 12:15:14 UTC
Latest upstream release: 2.17
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 26 Upstream Release Monitoring 2016-10-19 12:15:27 UTC
Patching or scratch build for htmlcleaner-2.2.1 failed.

Comment 27 Upstream Release Monitoring 2016-10-19 12:15:29 UTC
Created attachment 1212130 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 28 Upstream Release Monitoring 2016-10-19 12:15:31 UTC
Patches were not touched. All were applied properly

Comment 29 Upstream Release Monitoring 2016-11-02 12:15:04 UTC
Latest upstream release: 2.18
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 30 Upstream Release Monitoring 2016-11-02 12:15:18 UTC
Patching or scratch build for htmlcleaner-2.2.1 failed.

Comment 31 Upstream Release Monitoring 2016-11-02 12:15:20 UTC
Created attachment 1216517 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 32 Upstream Release Monitoring 2016-11-02 12:15:22 UTC
Patches were not touched. All were applied properly

Comment 33 Upstream Release Monitoring 2017-02-07 12:15:16 UTC
Latest upstream release: 2.19
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 34 Upstream Release Monitoring 2017-02-07 12:15:25 UTC
Patching or scratch build for htmlcleaner-2.2.1 failed.

Comment 35 Upstream Release Monitoring 2017-02-07 12:15:27 UTC
Created attachment 1248379 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 36 Upstream Release Monitoring 2017-02-07 12:15:29 UTC
Patches were not touched. All were applied properly

Comment 37 Upstream Release Monitoring 2017-05-02 12:15:41 UTC
Latest upstream release: 2.20
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 38 Upstream Release Monitoring 2017-05-02 12:15:45 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://downloads.sourceforge.net/project/htmlcleaner/htmlcleaner/htmlcleaner%20v2.20/htmlcleaner-2.20-src.zip to ./htmlcleaner-2.20-src.zip

Comment 39 Upstream Release Monitoring 2017-05-12 00:15:01 UTC
Latest upstream release: 2.21
Current version/release in rawhide: 2.2.1-6.fc21
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 40 Upstream Release Monitoring 2017-05-12 00:15:08 UTC
Created attachment 1278047 [details]
[patch] Update to 2.21 (#977249)

Comment 41 Upstream Release Monitoring 2017-05-12 00:19:58 UTC
hotness's scratch build of htmlcleaner-2.21-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=19502499

Comment 42 Upstream Release Monitoring 2018-04-24 12:15:49 UTC
Latest upstream release: 2.22
Current version/release in rawhide: 2.2.1-12.fc28
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1331/

Comment 43 Upstream Release Monitoring 2019-09-06 14:46:24 UTC
Latest upstream release: 2.23
Current version/release in rawhide: 2.2.1-15.fc31
URL: http://sourceforge.net/projects/htmlcleaner

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/1331/

Comment 44 Upstream Release Monitoring 2019-09-06 14:46:27 UTC
An unexpected error occurred while creating the scratch build and has been automatically reported. Sorry!


Note You need to log in before you can comment on or make changes to this bug.